Subject: Re: [Bitcoin-development] [BIP draft] CHECKLOCKTIMEVERIFY - Prevent a txout from being spent until an expiration time

From: Gavin Andresen <[email-masked]>
Date: Wed, 1 Oct 2014 16:58:34 -0400

On Wed, Oct 1, 2014 at 2:23 PM, Luke Dashjr <[email-masked]> wrote:

> houghts on some way to have the stack item be incremented by the height at
> which the scriptPubKey was in a block? A limitation of encoding the target
> height/time directly, is that miners may choose not to mine the first
> transaction until they can also take the "burn to fee".
>

If the first transaction is P2SH, then the miner won't know there is an
advantage to holding it until it is too late (the scriptPubKey is an opaque
hash until the second transaction is final and relayed/broadcast).

-- 
--
Gavin Andresen